#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Certificate manager and GUI for OpenPGP and CMS cryptography
Name:           kleopatra
Epoch:          2
Version: 16.12.3
%define         subrel 1
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
Patch0:         kleopatra-16.08.0-fix-assuan-include.patch

BuildRequires:  kf5-macros

BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5DocTools)

# Kdepimlibs packages
BuildRequires:  cmake(KF5Libkleo)
BuildRequires:  cmake(KF5Mime) >= 5.3.3

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Network)


BuildRequires:  boost-devel
BuildRequires:  gpgme-devel >= 1.7.1

Requires:       pinentry-qt5
Requires:       openssh-askpass-qt5

Recommends:     kleopatra-handbook

%description
Certificate manager and GUI for OpenPGP and CMS cryptography.

%files
%_kf5_sysconfdir/xdg/kleopatra.categories
%_kf5_sysconfdir/xdg/kleopatra.renamecategories
%_kf5_bindir/kleopatra
%_kf5_bindir/kwatchgnupg
%_qt5_plugindir/kcm_kleopatra.so
%_kf5_appdatadir/org.kde.kleopatra.appdata.xml
%_kf5_applicationsdir/kleopatra_import.desktop
%_kf5_applicationsdir/org.kde.kleopatra.desktop
%_kf5_iconsdir/*/*/*/*
%_kf5_datadir/kconf_update/*
%_kf5_datadir/kleopatra
%_kf5_services/*.desktop
%_kf5_datadir/kwatchgnupg

#--------------------------------------------------------------------

%package -n kleopatra-handbook
Summary:        Kleopatra and Kwatchgnugpg handbooks
Group:          Documentation
BuildArch:      noarch
Requires:       kleopatra => %{epoch}:%{version}-%{release}

%description -n kleopatra-handbook
This package provides handbooks for Kleopatra & Kwatchgnugpg.

%files -n kleopatra-handbook
%_kf5_docdir/HTML/en/kleopatra
%_kf5_docdir/HTML/en/kwatchgnupg

#--------------------------------------------------------------------

%define kf5kleopatraclientcore_major 1
%define libkleopatraclientcore %mklibname kf5kleopatraclientcore %{kf5kleopatraclientcore_major}

%package -n %libkleopatraclientcore
Summary:        Certificate manager and GUI for OpenPGP and CMS cryptography
Group:          System/Libraries

%description -n %libkleopatraclientcore
Certificate manager and GUI for OpenPGP and CMS cryptography.

%files -n %libkleopatraclientcore
%_kf5_libdir/libkleopatraclientcore.so.%{kf5kleopatraclientcore_major}*


#--------------------------------------------------------------------

%define kf5kleopatraclientgui_major 1
%define libkleopatraclientgui %mklibname kf5kleopatraclientgui %{kf5kleopatraclientgui_major}

%package -n %libkleopatraclientgui
Summary:        Certificate manager and GUI for OpenPGP and CMS cryptography
Group:          System/Libraries


%description -n %libkleopatraclientgui
Certificate manager and GUI for OpenPGP and CMS cryptography.

%files -n %libkleopatraclientgui
%_kf5_libdir/libkleopatraclientgui.so.%{kf5kleopatraclientgui_major}*

#--------------------------------------------------------------------

%define kf5libkleopatra_devel %mklibname kf5libkleopatra -d

%package -n %kf5libkleopatra_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkleopatraclientcore = %epoch:%version-%release
Requires:       %libkleopatraclientgui = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5libkleopatra_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5libkleopatra_devel
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang --all %{name}5



%changelog
* Fri Aug 11 2017 neoclust <neoclust> 2:16.12.3-1.1.mga6
+ Revision: 1139651
- Requires for pinentry-qt5 (mga#21222)

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090080
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076820
- New version 16.12.0

* Fri Dec 09 2016 daviddavid <daviddavid> 2:16.11.90-1.mga6
+ Revision: 1073879
- recommends kleopatra-handbook (mga#19907)

  + neoclust <neoclust>
    - New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067343
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061402
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050668
- New version 16.08.1

* Wed Aug 24 2016 daviddavid <daviddavid> 2:16.08.0-1.mga6
+ Revision: 1048472
- add a patch to fix assuan.h include path

  + neoclust <neoclust>
    - New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040069
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012555
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004345
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 2:16.03.80-2.mga6
+ Revision: 997834
- Add handbook subpackage

* Thu Mar 31 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997116
- imported package kleopatra

